Subject: Re: [RFC] Device tree for new desktop platform in arch/powerpc

From: Segher Boessenkool <[email-masked]>
Date: Fri, 22 Jun 2007 09:52:59 +0200

>> The "#address-cells" property should be completely absent,
>> even; for interrupt matching, that means "treat as 0, no
>> unit address used in interrupt mapping, just the interrupt
>> number", and for the "normal" purpose (defining the format
>> of devices on the bus rooted at / represented by this node)
>> it means "there is no such bus" -- this is different from
>> #address-cells = 0.
>
> I'd rather have it present and explicitely set to 0,

It is not the "right thing" to do, but should be harmless
in most situations.

> which happens to be
> what both Apple and IBM OF implementations also do. Have you verified 
> if
> the linux parser behaves properly if it's absent ?

No, I haven't.  I prefer following the standard instead of simply
making the code work with one or two implementations; I hope
you did the same :-)

If it doesn't work, it's simply a bug in Linux.

Segher